package nl.iobyte.themepark.commands.subcommands;

import nl.iobyte.commandapi.interfaces.SubCommand;
import nl.iobyte.menuapi.item.ItemBuilder;
import nl.iobyte.themepark.ThemePark;
import nl.iobyte.themepark.api.config.ConfigurationManager;
import nl.iobyte.themepark.api.config.enums.StorageKey;
import nl.iobyte.themepark.api.message.Text;
import org.bukkit.Material;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;
import java.util.List;

public class ItemCommand extends SubCommand {

    public ItemCommand() {
        super("themepark.admin", "item");

        addSyntax("/themepark item")
                .setAllowConsole(false);
    }

    public void onPlayerCommand(Player player, List<Object> objects, int i) {
        ConfigurationManager manager = ThemePark.getInstance().getAPI().getConfigurationManager();

        Material material = Material.getMaterial(manager.getString(StorageKey.MENU_ITEM_MATERIAL));
        short data = Short.parseShort(manager.getString(StorageKey.MENU_ITEM_DATA));
        String name = Text.color(manager.getString(StorageKey.MENU_ITEM_NAME));
        if(material == null || name.isEmpty())
            return;

        ItemBuilder builder = new ItemBuilder(material, 1, data);
        builder.setName(name);

        player.getInventory().addItem(builder.getItem());
        player.updateInventory();
        player.sendMessage(Text.color("&6&lThemeParkMC &f➢ Added item to your inventory"));
    }

    //Give CommandSender overview of Plugin status
    public void onConsoleCommand(CommandSender sender, List<Object> objects, int i) {}

}
