package nl.iobyte.themepark.commands.subcommands;

import nl.iobyte.commandapi.arguments.StringArgument;
import nl.iobyte.commandapi.interfaces.SubCommand;
import nl.iobyte.themepark.ThemePark;
import nl.iobyte.themepark.api.menu.MenuService;
import nl.iobyte.themepark.scheduler.ThemeParkScheduler;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;
import java.util.List;

public class MenuCommand extends SubCommand {

    public MenuCommand() {
        super(null, "menu");

        addSyntax("/themepark menu");

        addSyntax("/themepark menu")
                .addArgument(new StringArgument("status"));
    }

    public void onPlayerCommand(Player player, List<Object> objects, int i) {
        MenuService service = ThemePark.getInstance().getAPI().getMenuService();
        if(i == 0) {
            ThemeParkScheduler.runSync(() -> service.getMainMenu().open(player));
            return;
        }

        ThemeParkScheduler.runSync(() -> service.getStatusMenu().open(player));
    }

    public void onConsoleCommand(CommandSender sender, List<Object> objects, int i) {}

}
