package nl.iobyte.themepark.commands.subcommands.attraction;

import nl.iobyte.commandapi.arguments.StringArgument;
import nl.iobyte.commandapi.interfaces.SubCommand;
import nl.iobyte.themepark.api.attraction.objects.Attraction;
import nl.iobyte.themepark.api.message.Text;
import nl.iobyte.themepark.commands.arguments.AttractionArgument;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;
import java.util.List;

public class AttractionCoverCommand extends SubCommand {

    public AttractionCoverCommand()  {
        super("themepark.admin", "attraction", "cover");

        addSyntax("/themepark attraction cover <id> <url>")
                .addArgument(new AttractionArgument())
                .addArgument(new StringArgument());
    }

    @Override
    public void onPlayerCommand(Player player, List<Object> list, int i) {
        onConsoleCommand(player, list, i);
    }

    @Override
    public void onConsoleCommand(CommandSender  sender, List<Object> list, int i) {
        Attraction attraction = (Attraction) list.get(0);
        String url = (String) list.get(1);
        attraction.setCover(url);
        sender.sendMessage(Text.color("&6&lThemeParkMC &f➢ &aSuccessfully changed the cover of attraction &f"+attraction.getID()));
    }
}
