package nl.iobyte.themepark.commands.subcommands.attraction;

import nl.iobyte.commandapi.interfaces.SubCommand;
import nl.iobyte.themepark.api.attraction.objects.Attraction;
import nl.iobyte.themepark.api.message.Text;
import nl.iobyte.themepark.commands.arguments.AttractionArgument;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;
import java.util.List;

public class AttractionLocationCommand extends SubCommand {

    public AttractionLocationCommand()  {
        super("themepark.admin", "attraction", "location");

        addSyntax("/themepark attraction location <id>")
                .addArgument(new AttractionArgument())
                .setAllowConsole(false);
    }

    @Override
    public void onPlayerCommand(Player player, List<Object> list, int i) {
        Attraction attraction = (Attraction) list.get(0);
        attraction.setLocation(player.getLocation());
        player.sendMessage(Text.color("&6&lThemeParkMC &f➢ &aSuccessfully changed the location of attraction &f"+attraction.getID()));
    }

    @Override
    public void onConsoleCommand(CommandSender  sender, List<Object> list, int i) {}

}
