package nl.iobyte.themepark.commands.subcommands.attraction;

import nl.iobyte.commandapi.interfaces.SubCommand;
import nl.iobyte.themepark.api.attraction.objects.Attraction;
import nl.iobyte.themepark.api.attraction.objects.Region;
import nl.iobyte.themepark.api.message.Text;
import nl.iobyte.themepark.commands.arguments.AttractionArgument;
import nl.iobyte.themepark.commands.arguments.RegionArgument;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;
import java.util.List;

public class AttractionRegionCommand extends SubCommand {

    public AttractionRegionCommand()  {
        super("themepark.admin", "attraction", "region");

        addSyntax("/themepark attraction region <attraction_id> <region_id>")
                .addArgument(new AttractionArgument())
                .addArgument(new RegionArgument());
    }

    @Override
    public void onPlayerCommand(Player player, List<Object> list, int i) {
        onConsoleCommand(player, list, i);
    }

    @Override
    public void onConsoleCommand(CommandSender  sender, List<Object> list, int i) {
        Attraction attraction = (Attraction) list.get(0);
        Region region = (Region) list.get(1);
        attraction.setRegionID(region.getID());
        sender.sendMessage(Text.color("&6&lThemeParkMC &f➢ &aSuccessfully changed the region of attraction &f"+attraction.getID()));
    }
}
