package nl.iobyte.themepark.commands.subcommands.attraction;

import nl.iobyte.commandapi.arguments.EnumArgument;
import nl.iobyte.commandapi.interfaces.SubCommand;
import nl.iobyte.themepark.api.attraction.enums.Status;
import nl.iobyte.themepark.api.attraction.objects.Attraction;
import nl.iobyte.themepark.api.message.Text;
import nl.iobyte.themepark.commands.arguments.AttractionArgument;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;
import java.util.List;

public class AttractionStatusCommand extends SubCommand {

    public AttractionStatusCommand()  {
        super("themepark.admin", "attraction", "status");

        addSyntax("/themepark attraction status <id> <status>")
                .addArgument(new AttractionArgument())
                .addArgument(new EnumArgument(Status.values()));
    }

    @Override
    public void onPlayerCommand(Player player, List<Object> list, int i) {
        onConsoleCommand(player, list, i);
    }

    @Override
    public void onConsoleCommand(CommandSender  sender, List<Object> list, int i) {
        Attraction attraction = (Attraction) list.get(0);
        Status status = (Status) list.get(1);
        attraction.setStatus(status);
        sender.sendMessage(Text.color("&6&lThemeParkMC &f➢ &aSuccessfully changed the status of attraction &f"+attraction.getID()));
    }
}
