package nl.iobyte.themepark.commands.subcommands.status;

import nl.iobyte.commandapi.arguments.EnumArgument;
import nl.iobyte.commandapi.arguments.StringArgument;
import nl.iobyte.commandapi.interfaces.SubCommand;
import nl.iobyte.themepark.api.attraction.enums.Status;
import nl.iobyte.themepark.api.message.Text;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

import java.util.List;

public class StatusHexColorCommand extends SubCommand {

    public StatusHexColorCommand()  {
        super("themepark.admin", "status", "hex_color");

        addSyntax("/themepark status hex_color <id> <color>")
                .addArgument(new EnumArgument(Status.values()))
                .addArgument(new StringArgument());
    }

    @Override
    public void onPlayerCommand(Player player, List<Object> list, int i) {
        onConsoleCommand(player, list, i);
    }

    @Override
    public void onConsoleCommand(CommandSender  sender, List<Object> list, int i) {
        Status status = (Status) list.get(0);
        String hex_color = (String) list.get(1);
        status.setHexColor(hex_color);
        sender.sendMessage(Text.color("&6&lThemeParkMC &f➢ &aSuccessfully changed the hex color of status &f"+status.toString()));
    }
    
}
