package nl.iobyte.themepark.commands.subcommands.status;

import com.cryptomorin.xseries.XMaterial;
import nl.iobyte.commandapi.arguments.EnumArgument;
import nl.iobyte.commandapi.arguments.MaterialArgument;
import nl.iobyte.commandapi.arguments.number.ShortArgument;
import nl.iobyte.commandapi.interfaces.SubCommand;
import nl.iobyte.themepark.api.attraction.enums.Status;
import nl.iobyte.themepark.api.message.Text;
import org.bukkit.Material;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;
import java.util.List;

public class StatusMaterialCommand extends SubCommand {

    public StatusMaterialCommand()  {
        super("themepark.admin", "status", "material");

        addSyntax("/themepark status material <status> <material>")
                .addArgument(new EnumArgument(Status.values()))
                .addArgument(new MaterialArgument());

        addSyntax("/themepark status material <status> <material> <data>")
                .addArgument(new EnumArgument(Status.values()))
                .addArgument(new MaterialArgument())
                .addArgument(new ShortArgument());
    }

    @Override
    public void onPlayerCommand(Player player, List<Object> list, int i) {
        onConsoleCommand(player, list, i);
    }

    @Override
    public void onConsoleCommand(CommandSender  sender, List<Object> list, int i) {
        Status status = (Status) list.get(0);
        XMaterial material;
        if(i == 0) {
            material = XMaterial.matchXMaterial((Material) list.get(1));
        } else {
            material = XMaterial.matchXMaterial(list.get(1).toString()+":"+list.get(2).toString()).orElse(null);
            if(material == null) {
                sender.sendMessage(Text.color("&6&lThemeParkMC &f➢ &4Unable to parse specified material:data"));
                return;
            }
        }

        status.setMaterial(material);
        sender.sendMessage(Text.color("&6&lThemeParkMC &f➢ &aSuccessfully changed the material of status &f"+status.toString()));
    }

}
