package nl.iobyte.themepark.commands.subcommands.status;

import nl.iobyte.commandapi.arguments.BooleanArgument;
import nl.iobyte.commandapi.arguments.EnumArgument;
import nl.iobyte.commandapi.interfaces.SubCommand;
import nl.iobyte.themepark.api.attraction.enums.Status;
import nl.iobyte.themepark.api.message.Text;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;
import java.util.List;

public class StatusTeleportCommand extends SubCommand {

    public StatusTeleportCommand()  {
        super("themepark.admin", "status", "teleport");

        addSyntax("/themepark status teleport <id> <teleport>")
                .addArgument(new EnumArgument(Status.values()))
                .addArgument(new BooleanArgument());
    }

    @Override
    public void onPlayerCommand(Player player, List<Object> list, int i) {
        onConsoleCommand(player, list, i);
    }

    @Override
    public void onConsoleCommand(CommandSender  sender, List<Object> list, int i) {
        Status status = (Status) list.get(0);
        boolean b = (boolean) list.get(1);
        status.setCanTeleport(b);
        sender.sendMessage(Text.color("&6&lThemeParkMC &f➢ &aSuccessfully changed if status &f"+status.toString()+" &acan teleport"));
    }

}
